Functions
Functions represent job titles or roles that contacts can hold within an organisation (e.g., CEO, Sales Manager, Developer).
Use the Datastore_Function endpoint to query functions.
Endpoints
List Functions
GET
/v1/odata/Datastore_FunctionSingle Function
GET
/v1/odata/Datastore_Function({id})Fields
Datastore Fields (inherited)
| Field | Type | Description |
|---|---|---|
Name | String | Display name |
Code | String | Unique code identifier |
LocalizedName | String | Localized display name |
IsDefault | Boolean | Whether this is the default value |
Relationships
| Relationship | Target Entity | Cardinality | Description |
|---|---|---|---|
| Contact | Relationship_Person_Contact | 1:N | Contact |
Expanding Relationships
GET
/v1/odata/Datastore_Function({id})?$expand=ContactNavigating Relationships
GET
/v1/odata/Datastore_Function({id})/ContactFiltering Examples
GET
/v1/odata/Datastore_Function?$filter=Name eq '{Name}'&$top={top}GET
/v1/odata/Datastore_Function?$filter=contains(Name, '{Name}')&$top={top}GET
/v1/odata/Datastore_Function?$filter=Code eq '{Code}'&$top={top}GET
/v1/odata/Datastore_Function?$filter=IsDefault eq {IsDefault}&$top={top}